function OnPlayerSpawned()
  local magic_seed = tostring(MagicNumbersGetValue("WORLD_SEED"))
  local stats_seed = tostring(StatsGetValue("world_seed"))
  if magic_seed == "0" then
    GamePrintImportant("You didn't set the seed did you?", "Check the mod folder for help!")
    GamePrintImportant("tl;dr", "Just run mods/CustomSeed/SetSeed.bat and start a new game...")
  elseif magic_seed == stats_seed then
    GamePrintImportant("Seed: "..stats_seed, "Use SetSeed.bat to change it!")
  else
    GamePrintImportant("You're running a save with an old seed!", "Start a new game to run with "..magic_seed)
  end
end
ModMagicNumbersFileAdd("mods/CustomSeed/files/magic_numbers.xml")
